.TH fputw() "" "" "STDIO Function (libc)"
.PC "Write an integer into a stream"
.B "#include <stdio.h>"
\fBint fputw(\fIword\^\fB, \fIfp\^\fB)
int \fIword\^\fB; FILE *\fIfp\^\fB;\fR
.PP
.B fputw()
writes \fIword\fR into the file stream pointed to by \fIfp\fR,
and returns the value written.
.SH Example
For an example of this function, see the entry for \fBferror()\fR.
.SH "See Also"
.Xr "fgetw()," fgetw
.Xr "libc" libc
.SH Diagnostics
.B fputw()
returns
.B EOF
when an error occurs.
A call to
.B ferror()
or
.B feof()
may be needed to distinguish this value from a valid
end-of-file signal.
